Bug 87924

Summary: Supports traversing nodes in an orphaned shadow subtree in ComposedShadowTreeParentWalker
Product: WebKit Reporter: Hayato Ito <hayato>
Component: UI EventsAssignee: Hayato Ito <hayato>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, dominicc, morrita, shinyak, tasak, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 87493    
Bug Blocks: 78585    
Attachments:
Description Flags
fix parent node of non-assigned shadow root.
none
iter none

Description Hayato Ito 2012-05-30 21:34:41 PDT
Some events, such as a 'click' events, can happen on nodes in an orphaned shadow subtree.
When resolving a parent node of a shadow root which is not assigned to any shadow insertion point, we have to return its shadow host as a parent node.
Comment 1 Hayato Ito 2012-05-30 22:16:08 PDT
Created attachment 144985 [details]
fix parent node of non-assigned shadow root.
Comment 2 Hayato Ito 2012-05-30 22:21:55 PDT
I added a bug 87493 as dependency since ChageLog description has dependency.
The patch itself can be applied without 87493.
Comment 3 Ryosuke Niwa 2012-05-31 23:56:44 PDT
Comment on attachment 144985 [details]
fix parent node of non-assigned shadow root.

View in context: https://bugs.webkit.org/attachment.cgi?id=144985&action=review

> Source/WebCore/ChangeLog:3
> +        Supports traversing nodes in an orphaned shadow subtree in ComposedShadowTreeParentWalker.

Why is this different from the bug title?

> Source/WebCore/ChangeLog:8
> +        Some events, such as a 'click' event, can happen on nodes in an orphaned shadow subtree.

Nit: happen > can be dispatched
Comment 4 Hayato Ito 2012-06-01 05:32:04 PDT
Comment on attachment 144985 [details]
fix parent node of non-assigned shadow root.

Thank you for the review. I'll upload a patch soon.

View in context: https://bugs.webkit.org/attachment.cgi?id=144985&action=review

>> Source/WebCore/ChangeLog:3
>> +        Supports traversing nodes in an orphaned shadow subtree in ComposedShadowTreeParentWalker.
> 
> Why is this different from the bug title?

That's out of sync. I updated the bug title.

>> Source/WebCore/ChangeLog:8
>> +        Some events, such as a 'click' event, can happen on nodes in an orphaned shadow subtree.
> 
> Nit: happen > can be dispatched

Done.
Comment 5 Hayato Ito 2012-06-01 05:33:19 PDT
Created attachment 145274 [details]
iter
Comment 6 WebKit Review Bot 2012-06-03 15:36:01 PDT
Comment on attachment 145274 [details]
iter

Clearing flags on attachment: 145274

Committed r119365: <http://trac.webkit.org/changeset/119365>
Comment 7 WebKit Review Bot 2012-06-03 15:36:05 PDT
All reviewed patches have been landed.  Closing bug.